#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.0.0
 Author:         myName

 Script Function:
	Template AutoIt script.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here

#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <WinAPI.au3>
#include <Math.au3>
#include <File.au3>

#include "SnapToScreen.au3"
#include "_skinamp.au3"

Opt("MustDeclareVars",1)
Opt("TrayMenuMode",1)
Opt("TrayOnEventMode", 1)
Opt("GUIOnEventMode", 1)

Global $EXITITEM
Global $SKINITEM

Global $MAINGUI
Global $MAINGUIBACKGROUND

;~ GUIRegisterMsg($WM_NCHITTEST, "_WM_NCHITTEST")

#cs ----------------------------------------------------------------------------

	_InitTray

#ce ----------------------------------------------------------------------------

Func _InitTray()
	local $i

	TraySetClick(16)

	Local $SKINMENUITEM = TrayCreateMenu("Skins")
	Local $skins = _FileListToArray($_SKINDIRECTORY, "*", 2)
	For $i = 1 To $skins[0]
		TrayCreateItem($skins[$i], $SKINMENUITEM)
		TrayItemSetOnEvent(-1, "_TraySkinItemClicked")
	Next

	TrayCreateItem("")
	TrayCreateItem("Exit")
	TrayItemSetOnEvent(-1, "_TrayExit")
EndFunc

#cs ----------------------------------------------------------------------------

	_TraySkinItemClicked

#ce ----------------------------------------------------------------------------

Func _TraySkinItemClicked()
	Local $_SkinToApply

	$_SkinToApply = TrayItemGetText(@TRAY_ID)
	ConsoleWrite("Appling " & $_SkinToApply & " Skin" & @CRLF)
	_ApplySkin($_SkinToApply)
EndFunc

#cs ----------------------------------------------------------------------------

	_TrayExit

#ce ----------------------------------------------------------------------------

Func _TrayExit()
	Exit
EndFunc

#cs ----------------------------------------------------------------------------

	_WM_NCHITTEST

#ce ----------------------------------------------------------------------------

Func _WM_NCHITTEST($hWndGUI, $MsgID, $WParam, $LParam)
	Return $HTCAPTION
EndFunc

#cs ----------------------------------------------------------------------------

	_ApplySkin

#ce ----------------------------------------------------------------------------

Func _ApplySkin($_Skin = "Default")
	$_SKINNAME = $_Skin
	GUISetState(@SW_HIDE, $MAINGUI)
	_CreateRegion($MAINGUI, "Normal")
	GUICtrlSetImage($MAINGUIBACKGROUND, $_SKINDIRECTORY & "\" & $_SKINNAME & "\main.bmp")
	GUISetState(@SW_SHOW, $MAINGUI)
EndFunc

#cs ----------------------------------------------------------------------------

	_CreateMainWindow

#ce ----------------------------------------------------------------------------

Func _CreateMainWindow()
	$MAINGUI = GUICreate("MainWindow", 275, 116, Default, Default, BitOR($WS_POPUP, $WS_MINIMIZEBOX, $WS_SYSMENU))
	GUISetOnEvent($GUI_EVENT_SECONDARYUP, "_Test")
	$MAINGUIBACKGROUND = GUICtrlCreatePic($_SKINDIRECTORY & "\" & $_SKINNAME & "\main.bmp", 0,0, 275, 116, Default, $GUI_WS_EX_PARENTDRAG)
EndFunc

Func _Test()

EndFunc
#cs ----------------------------------------------------------------------------

	MAIN PROGRAM

#ce ----------------------------------------------------------------------------

_InitSkin()
_InitTray()
_SnapToScreen()

_CreateMainWindow()
_ApplySkin()

While 1
WEnd
