Global $_SKINDIRECTORY
Global $_SKINNAME

#cs ----------------------------------------------------------------------------

	_InitSkin()

#ce ----------------------------------------------------------------------------

Func _InitSkin($_Skin = "Default")
	$_SKINDIRECTORY = @ScriptDir & "\skins"
	$_SKINNAME = $_Skin
EndFunc

#cs ----------------------------------------------------------------------------

	_WinAPI_CreatePolyRgn

#ce ----------------------------------------------------------------------------

Func _WinAPI_CreatePolyRgn($POINTLIST)
	Local $ALTERNATE = 1
	Local $DLLStruct = ""
	Local $DS = 0
	Local $RES = 0

	$POINTLIST = StringSplit($POINTLIST,",")
	For $i = 1 to $POINTLIST[0]
		$DLLStruct = $DLLStruct & "int;"
	Next
	$DLLStruct = StringTrimRight($DLLStruct,1)
	$DS = DllStructCreate($DLLStruct)
	For $i = 1 to $POINTLIST[0]
		DllStructSetData($DS, $i, $POINTLIST[$i])
	Next
	$RES = DllCall("GDI32.dll","long","CreatePolygonRgn","ptr",DllStructGetPtr($DS),"int",Int($POINTLIST[0] / 2),"int",$ALTERNATE)
	$DS = 0
	Return $RES[0]
EndFunc

#cs ----------------------------------------------------------------------------

	_CreateRegion

#ce ----------------------------------------------------------------------------

Func _CreateRegion($_GUI, $Section)
	Local $I
	Local $J
	Local $Region_FILE = $_SKINDIRECTORY & "\" & $_SKINNAME & "\region.txt"

	Local $POS = WinGetPos($_GUI)
	Local $WIDTH = $POS[2]
	Local $HEIGHT = $POS[3]

	If Not FileExists($Region_FILE) Then
		Local $RNG = _WinAPI_CreateRectRgn(0, 0, $WIDTH, $HEIGHT)
	Else
		Local $RNG = _WinAPI_CreateRectRgn(0, 0, 0, 0)
		Local $NUMPOINTS = IniRead($Region_FILE, $Section, "NumPoints", "")
		$NUMPOINTS = StringSplit($NUMPOINTS, ",")

		Local $POINTLIST = IniRead($Region_FILE, $Section ,"PointList", "")
		$POINTLIST = StringSplit($POINTLIST, " ")

		For $I = 1 to $NUMPOINTS[0]
			Local $N = $NUMPOINTS[$I]
			Local $START = (($I - 1) * $N) + 1
			Local $END = $START + $N - 1

			Local $DATA = ""

			For $J = $START To $END
				$DATA = $DATA & $POINTLIST[$J] & ","
			Next
			$DATA = StringTrimRight($DATA, 1)

			Local $NEWRNG = _WinAPI_CreatePolyRgn($DATA)
			_WinAPI_CombineRgn($RNG, $RNG, $NEWRNG, $RGN_OR)
		Next
	EndIf

	_WinAPI_SetWindowRgn($_GUI, $RNG)
EndFunc
